### Constructor

# Gio MemoryInputStream new_from_data

#### Declaration

    GInputStream*
    g_memory_input_stream_new_from_data (
      void* data,
      gssize len,
      GDestroyNotify destroy
    )

#### Description

Creates a new `GMemoryInputStream` with data in memory of a given size.

#### Parameters

`data`

  Type: An array of `guint8`

  Input data.

  The length of the array is specified in the `len` argument.
  The called function takes ownership of the data, and is responsible for freeing it.

`len`

  Type: `gssize`

  Length of the data, may be -1 if `data` is a nul-terminated string.

`destroy`

  Type: `GDestroyNotify`

  Function that is called to free `data`, or `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `GInputStream`

New `GInputStream` read from `data` of `len` bytes.

The caller of the function takes ownership of the data, and is responsible for freeing it.